Index: timezone/pgtz.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/timezone/pgtz.c,v
retrieving revision 1.19
diff -c -r1.19 pgtz.c
*** timezone/pgtz.c	22 Jul 2004 05:28:30 -0000	1.19
--- timezone/pgtz.c	29 Jul 2004 17:00:17 -0000
***************
*** 182,187 ****
--- 182,189 ----
  		if (!pgtm)
  			return -1;		/* probably shouldn't happen */
  		systm = localtime(&(tt->test_times[i]));
+ 		if (!systm)
+ 			return -1;
  		if (!compare_tm(systm, pgtm))
  		{
  			elog(DEBUG4, "TZ \"%s\" scores %d: at %ld %04d-%02d-%02d %02d:%02d:%02d %s versus %04d-%02d-%02d %02d:%02d:%02d %s",
***************
*** 302,307 ****
--- 304,311 ----
  	for (t = tnow; t <= tnow + T_MONTH * 14; t += T_MONTH)
  	{
  		tm = localtime(&t);
+ 		if (!tm)
+ 			continue;
  		if (tm->tm_isdst < 0)
  			continue;
  		if (tm->tm_isdst == 0 && std_zone_name[0] == '\0')
